base_dir: ../data/DSB_Data/model
data:
  batch_size: 16
  dataset_dir: ../data/DSB_Data/files
  graph_pkl_filename: ../data/DSB_Data/graph/adj_mx_V20.pkl
  test_batch_size: 5
  val_batch_size: 5
log_level: INFO
model:
  cl_decay_steps: 2000
  filter_type: dual_random_walk
  horizon: 1
  input_dim: 1
  l1_decay: 0
  max_diffusion_step: 2
  num_nodes: 63
  num_rnn_layers: 2
  output_dim: 1
  rnn_units: 150
  seq_len: 1
  use_curriculum_learning: true
model_number: 20
train:
  base_lr: 0.01
  dropout: 0
  epoch: 20
  epochs: 50
  epsilon: 0.001
  global_step: 105
  log_dir: ../data/DSB_Data/model\V20/exp_DR_2_h_1_150-150_lr_0.01_bs_16_TS_2022-01-18_14-47-33/
  lr_decay_ratio: 0.1
  max_grad_norm: 5
  max_to_keep: 100
  min_learning_rate: 2.0e-06
  model_filename: ../data/DSB_Data/model\V20/exp_DR_2_h_1_150-150_lr_0.01_bs_16_TS_2022-01-18_14-47-33/models-0.7322-105
  optimizer: adam
  patience: 15
  steps:
  - 20
  - 30
  - 40
  - 50
  test_every_n_epochs: 5
